# Stamp Duty

```
TEST DATA

number: 2022-0000-1111-2222
customer_name: Test Account
```

## Allows you to verify a stamp duty reference number

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/v2/biometrics/merchant/data/verification/stamp_duty`

Allows you to verify a stamp duty reference number

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | String | \<your secret key> |
| app-id<mark style="color:red;">\*</mark>    | String | \<your app id>     |

#### Request Body

| Name                                                  | Type   | Description               |
| ----------------------------------------------------- | ------ | ------------------------- |
| number<mark style="color:red;">\*</mark>              | String | your stamp duty number    |
| customer\_name<mark style="color:red;">\*</mark>      | String | your customer's name      |
| customer\_reference<mark style="color:red;">\*</mark> | String | unique customer reference |

{% tabs %}
{% tab title="200: OK Successful response" %}

```javascript
{
    "status": true,
    "detail": "Stamp Duty Verification Successful",
    "response_code": "00",
    "data": {
        "certificate_number": "",
        "instrument": "",
        "reserved_company_name": "",
        "consideration": "",
        "stamp_duty_paid": "",
        "payment_reference": "",
        "beneficiary": "",
        "beneficiary_tin": "",
        "description": "",
        "date_of_execution": "",
        "date_of_filing": "",
        "issuance_date": ""
    },
    "verification": {
        "status": "VERIFIED",
        "reference": "<your verification reference>"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/data-verification/nigeria/stamp-duty.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
